> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Benchmark Indexes

> List the available benchmark indices that can be used as reference
for creating custom indices.

Supports typeahead search using the 'search' query parameter.



## OpenAPI

````yaml GET /api/v1/custom/benchmark_indexes/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/benchmark_indexes/:
    get:
      tags:
        - api
      description: |-
        List the available benchmark indices that can be used as reference
        for creating custom indices.

        Supports typeahead search using the 'search' query parameter.
      operationId: api_v1_custom_benchmark_indexes_list
      parameters:
        - in: query
          name: search
          schema:
            type: string
          description: Search benchmark indices by name, identifier, or ticker
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BenchmarkIndexList'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    BenchmarkIndexList:
      type: object
      properties:
        name:
          type: string
          description: Name of the index
          maxLength: 255
        identifier:
          type: string
          description: Unique identifier for the index
          maxLength: 50
        ticker:
          type: string
          nullable: true
          description: Ticker of the index
          maxLength: 50
        direct_indexing_supported:
          type: boolean
          description: Whether the index can be direct indexed
        expense_ratio:
          type: string
          format: decimal
          pattern: ^-?\d{0,7}(?:\.\d{0,3})?$
          nullable: true
          description: Expense ratio of the index
      required:
        - identifier
        - name
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````